<?php



class TblspacecategoryMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblspacecategoryMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblspacecategoryPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblspacecategoryPeer::TABLE_NAME);
		$tMap->setPhpName('Tblspacecategory');
		$tMap->setClassname('Tblspacecategory');

		$tMap->setUseIdGenerator(true);

		$tMap->addPrimaryKey('CAT_ID', 'CatId', 'INTEGER', true, null);

		$tMap->addColumn('CAT_NAME', 'CatName', 'VARCHAR', true, 255);

		$tMap->addColumn('CAT_PARENT', 'CatParent', 'INTEGER', true, null);

		$tMap->addColumn('CAT_USER', 'CatUser', 'INTEGER', true, null);

		$tMap->addColumn('CAT_DATE', 'CatDate', 'TIMESTAMP', true, null);

	} 
} 